# MidTownPlaydio

A progressive web app (PWA) to stream Midtown Radio KW in a mobile-friendly interface.

## Features

- Responsive web interface
- Progressive Web App (PWA) capabilities
- Offline caching
- Mobile-friendly design

## Development

### Prerequisites

- Docker and Docker Compose

### Running Locally

```bash
# Clone the repository
git clone https://git.nixc.us/colin/midtownplaydio.git
cd midtownplaydio

# Start the development server
docker-compose up
```

The app will be available at http://localhost:3000

### Directory Structure

```
├── docker/
│   └── midtownplaydio/
│       ├── src/             # Source code
│       ├── Dockerfile       # Development/staging Dockerfile
│       └── Dockerfile.production  # Production Dockerfile
├── docker-compose.yml       # Local development setup
├── docker-compose.staging.yml  # Staging deployment
├── docker-compose.production.yml  # Production deployment
├── stack.staging.yml        # Docker Swarm stack for staging
├── stack.production.yml     # Docker Swarm stack for production
└── .woodpecker.yml          # CI/CD configuration
```

## Deployment

The application is set up for automatic deployment through Woodpecker CI.

- Push to `main` branch deploys to staging environment
- Cron job or manual promotion deploys to production

## License

Copyright (c) 2023 