#!/usr/bin/env python
"""
Simple script to run the application locally with uvicorn,
without needing Docker.
"""
import subprocess
import sys
import os

def main():
    # Install dependencies if needed
    try:
        import fastapi
        import uvicorn
    except ImportError:
        print("Installing required dependencies...")
        subprocess.check_call([sys.executable, "-m", "pip", "install", "-r", "requirements.txt"])
    
    # Run the application
    print("Starting MidTownPlaydio...")
    import uvicorn
    uvicorn.run("app:app", host="0.0.0.0", port=3000, reload=True)

if __name__ == "__main__":
    main() 